Lavalite package that provides blacklist management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/blacklist`.

    "bixo/blacklist": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Blacklist\Providers\BlacklistServiceProvider::class,

And also add it to alias

    'Blacklist'  => Bixo\Blacklist\Facades\Blacklist::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\BlacklistTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Blacklist\Providers\BlacklistServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Blacklist\Providers\BlacklistServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Blacklist\Providers\BlacklistServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/blacklist/{modulename}

**User**

    http://path-to-route-folder/user/blacklist/{modulename}

**Public**

    http://path-to-route-folder/blacklists


### API endpoints

**List**

    http://path-to-route-folder/api/user/blacklist/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/blacklist/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/blacklist/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/blacklist/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/blacklist/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/blacklist/{modulename}/{slug}
    METHOD: GET