<?php

namespace Bixo\Blacklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlacklistTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Blacklist\Models\Blacklist $blacklist)
    {
        return [
            'id'                => $blacklist->getRouteKey(),
            'key'               => [
                'public'    => $blacklist->getPublicKey(),
                'route'     => $blacklist->getRouteKey(),
            ], 
            'value'             => $blacklist->value,
            'type'              => $blacklist->type,
            'description'       => $blacklist->description,
            'user_Id'           => $blacklist->user_Id,
            'user_type'         => $blacklist->user_type,
            'deleted_at'        => $blacklist->deleted_at,
            'url'               => [
                'public'    => trans_url('blacklist/'.$blacklist->getPublicKey()),
                'user'      => guard_url('blacklist/blacklist/'.$blacklist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blacklist->status),
            'created_at'        => format_date($blacklist->created_at),
            'updated_at'        => format_date($blacklist->updated_at),
        ];
    }
}